/*
 * This file is part of CashDrainGS, which is a GameScript for OpenTTD
 * Copyright (C) 2012  Leif Linse
 *
 * CashDrainGS is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License
 *
 * CashDrainGS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with CashDrainGS; If not, see <http://www.gnu.org/licenses/> or
 * write to the Free Software Foundation, Inc., 51 Franklin Street, 
 * Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

require("version.nut");


class FMainClass extends GSInfo {
	function GetAuthor()		{ return "Zuu"; }
	function GetName()			{ return "CashDrainGS"; }
	function GetDescription() 	{ return "Get paid for what you deliver and not for distance"; }
	function GetVersion()		{ return SELF_VERSION; }
	function GetDate()			{ return "2013-07-21"; }
	function CreateInstance()	{ return "MainClass"; }
	// WARNING: the short name is also declared in version.nut
	function GetShortName()		{ return "CASH"; }
	function GetAPIVersion()	{ return "1.4"; }
	function GetURL()			{ return "http://www.tt-forums.net/viewtopic.php?f=65&t=71606"; }
	function MinVersionToLoad() { return 1; }

	function GetSettings() {
		AddSetting({name = "payment_per_unit", 
				description = "Payment per cargo unit delivered", 
				easy_value = 70, 
				medium_value = 40, 
				hard_value = 25, 
				custom_value = 40, 
				flags = CONFIG_INGAME,
				min_value = 0,
				max_value = 1000000000,
		});

		AddSetting({name = "income_news", 
				description = "Show a news message when your bank balance has been updated", 
				easy_value = 1, 
				medium_value = 1, 
				hard_value = 1, 
				custom_value = 1, 
				flags = CONFIG_BOOLEAN | CONFIG_INGAME,
		});

		AddSetting({name = "scp_enabled", 
				description = "AI-GS communication (make AIs with SCP support aware of CashDrainGS)", 
				easy_value = 1, 
				medium_value = 1, 
				hard_value = 1, 
				custom_value = 1, 
				flags = CONFIG_BOOLEAN,
		});

		AddSetting({
			name = "log_level",
			description = "Debug: Log level (higher = print more)",
			easy_value = 3,
			medium_value = 3,
			hard_value = 3,
			custom_value = 3,
			flags = CONFIG_INGAME,
			min_value = 1,
			max_value = 3,
		});
		AddLabels("log_level", {_1 = "1: Info", _2 = "2: Verbose", _3 = "3: Debug" } );
	}
}

RegisterGS(FMainClass());
